print.aareg {survival} | R Documentation

## Print an aareg object

### Description

Print out a fit of Aalen's additive regression model

### Usage

    ## S3 method for class 'aareg'
    print(x, maxtime, test=c("aalen", "nrisk"),scale=1,...)

### Arguments

`x` | the result of a call to the `aareg` function
`maxtime` | the upper time point to be used in the test for non-zero slope
`test` | the weighting to be used in the test for non-zero slope. The default weights are based on the variance of each coefficient, as a function of time. The alternative weight is proportional to the number of subjects still at risk at each time point.
`scale` | scales the coefficients. For some data sets, the coefficients of the Aalen model will be very small (10-4); this simply multiplies the printed values by a constant, say 1e6, to make the printout easier to read.
`...` | for future methods

### Details

The estimated increments in the coefficient estimates can become quite unstable near the end of follow-up, due to the small number of observations still at risk in a data set. Thus, the test for slope will sometimes be more powerful if this last ‘tail’ is excluded.

### Value

the calling argument is returned.

### Side Effects

the results of the fit are displayed.

### References

Aalen, O.O. (1989). A linear regression model for the analysis of life times. Statistics in Medicine, 8:907-925.

### See Also

aareg

[Package survival version 2.39-4 Index]